function W = razb_we_5(Q)
% ==============================================
% вычисление формантной и словесной разборчивости по нашим коэф-там воспр.:
% кривые P(E') разные для каждой из 5 полос частот
% Q - вектор входных отношений сигнал-шум
% W - словесная разборчивость
% ==============================================
% ===== входные данные: ======
f0 = [ 250; 500; 1000; 2000; 4000];  % центральные частоты полос анализа
fn = [180; 355; 710; 1400; 2800];   % нижние граничн.частоты полос анализа
fv = [ 355; 710; 1400; 2800; 5600];   % верхние граничн.частоты полос анализа
%
load koef_lev_sred;
load koef_prv_sred;
P_new = zeros(1,5);
for i = 2:6
P_new(i-1) =  new_vospr(Q(i-1),koef_lev_sred(i).koef,koef_prv_sred(i).koef,min(koef_lev_sred(i).E),40);
end
%
% ======== вер-сти формант ======
pv = zeros(1,5);
for i = 1:5
   if f0(i) <= 400
        pv(i) = 2.57*10^(-8)*(fv(i).^2.4-fn(i).^2.4);
     else
        pv(i) = 1.074*(exp(-10^(-4)*fn(i).^1.18)-exp(-10^(-4)*fv(i).^1.18));
   end
end
%
% ======== артикуляционная (формантная) разборчивость ========
A = sum(pv.*P_new)/sum(pv);
%
% ======== словесная разборчивость  =========
if A<0.15
       W = 1.54*A^0.25*(1-exp(-11*A));
   else
       W = 1-exp(-11*A/(1+0.7*A));
end
